# Created by pyp2rpm-3.3.5
%global pypi_name srt

Name:           python-%{pypi_name}
Version:        3.5.2
Release:        %mkrel 1
Summary:        A tiny library for parsing, modifying, and composing SRT files
Group:          Development/Python
License:        MIT
URL:            https://github.com/cdown/srt
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
srt is a tiny but featureful Python library for parsing, modifying, and 
composing SRT files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
srt is a tiny but featureful Python library for parsing, modifying, and 
composing SRT files.

%package -n python-%{pypi_name}-doc
Summary:        srt documentation
%description -n python-%{pypi_name}-doc
Documentation for srt Python module

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name} srt_tools


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/srt
%{_bindir}/srt-deduplicate
%{_bindir}/srt-fixed-timeshift
%{_bindir}/srt-linear-timeshift
%{_bindir}/srt-lines-matching
%{_bindir}/srt-mux
%{_bindir}/srt-normalise
%{_bindir}/srt-play
%{_bindir}/srt-process

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Wed Sep 21 2022 papoteur <papoteur> 3.5.2-1.mga9
+ Revision: 1891115
- imported package python-srt

